Package relaxngcc.codedom

## Class CDCastExpression

- java.lang.Object
- - relaxngcc.codedom.CDExpression
  - - relaxngcc.codedom.CDCastExpression

-     public class CDCastExpression
      extends CDExpression

  Author:
    Administrator To change this generated comment edit the template variable "typecomment": Window>Preferences>Java>Templates. To enable and disable the creation of type comments go to Window>Preferences>Java>Code Generation.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDCastExpression​(CDType type, CDExpression expr)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `express​(CDFormatter f)` |

    - ### Methods inherited from class relaxngcc.codedom.CDExpression

      `_new, arrayRef, arrayRef, castTo, invoke, not, prop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDCastExpression

          public CDCastExpression​(CDType type,
                                  CDExpression expr)

  - ### Method Detail

    - #### express

          public void express​(CDFormatter f)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`